﻿Imports Docs.Excel

Module Module1

    Sub Main()
        ' Create a new workbook.
        Dim wbook As ExcelWorkbook = New ExcelWorkbook()
        ' Add new worksheet to workbook.
        wbook.Worksheets.Add("Sheet1")

        ' Set name of cell.
        wbook.Worksheets(0).Cells(0, 0).DefinedName = "DefinedName1"
        wbook.Worksheets(0).Cells(0, 1).DefinedName = "DefinedName2"
        wbook.Worksheets(0).Cells(0, 2).DefinedName = "DefinedName3"
        wbook.Worksheets(0).Cells(1, 0).DefinedName = "DefinedName4"
        wbook.Worksheets(0).Cells(1, 1).DefinedName = "DefinedName5"
        wbook.Worksheets(0).Cells(1, 2).DefinedName = "DefinedName6"
        ' Set values of cells.
        wbook.Worksheets(0).Cells(0, 0).Value = 1
        wbook.Worksheets(0).Cells(0, 1).Value = 2
        wbook.Worksheets(0).Cells(0, 2).Value = 3
        wbook.Worksheets(0).Cells(1, 0).Value = 4
        wbook.Worksheets(0).Cells(1, 1).Value = 5
        wbook.Worksheets(0).Cells(1, 2).Value = 6
        ' Write a formula to cell.
        wbook.Worksheets(0).Cells(2, 0).Value = "=SUM(DefinedName1:DefinedName6)"

        Dim names() As String = wbook.GetListNamesOfCells()
        For i As Integer = 0 To names.Length - 1
            Dim cellrange As ExcelCell = wbook.GetCellByName(names(i))
            If cellrange IsNot Nothing Then
                cellrange.Value = (i + 1) * 2
            End If
        Next

        'Write .xlsx file.
        wbook.WriteXLSX("..\..\..\NamesList.xlsx")

        'Write .xls file.
        wbook.WriteXLS("..\..\..\NamesList.xls")

        'Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\NamesList.xls")

    End Sub

End Module
